<!--
  Generated template for the FriendlistPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header class="header-container">

  <ion-navbar color="headerColor" class="header-inner">
    <button ion-button menuToggle class="menu-icon-button">
      <div class="menu-icon-toggle"></div>
    </button>
    <ion-title class="header-title"><span class="title">Friends</span></ion-title>
    <ion-buttons class="find-friend-icon-btn-container" end>
    	<button ion-button icon-only (click)="findFriends()" class="find-friend-icon-btn">
      </button>
    </ion-buttons>
  </ion-navbar>
  <ion-searchbar class="all-joined-group-search-bar" [(ngModel)]="searchString" (input)="searchuser($event)" placeholder="Search"></ion-searchbar>

</ion-header>


<ion-content padding>
	<ion-list no-lines class="friends-list">
		<div *ngFor="let allFriends of friendsList$ | async">
			<div *ngFor="let allUser of userList$ | async">
				<ion-item-sliding *ngIf="allFriends.key == allUser.key">
					<ion-item class="friend-list-item" >
						<ion-thumbnail item-left class="friends-photo-thumbnail-container">
							<img-loader src="{{ allUser.photoURL }}" useImg class="friends-photo-thumbnail"></img-loader>
						</ion-thumbnail>
						<h2 class="friends-name">{{ allUser.displayName }}</h2>
						<div class="friends-status-container">
							<p class="friends-status">{{ allUser.status }}</p>
						</div>
					</ion-item>
					<ion-item-options class="" slide="left">
						<button ion-button color="orangeColor" class="profile-slide-icon" (click)="viewSelectedProfile(allFriends.key)">
							<img src="../assets/icon/profileicon.png" class="profile-icon"/>
							Profile
						</button>
						<button ion-button color="orangeColor" class="chat-slide-icon" (click)="chatWithThisPerson(allFriends.key, allUser.displayName)">
							<img src="../assets/icon/chaticon2.png" class="chat-icon"/>
							Chat
						</button>
						<button ion-button color="danger" class="unfriend-slide-icon" (click)="unfriendThisPerson(allFriends.key, allUser.displayName)">
							<img src="../assets/icon/unfriendicon.png" class="unfriend-icon"/>
							Unfriend
						</button>
					</ion-item-options>
				</ion-item-sliding>
			</div>
		</div>
	</ion-list>

</ion-content>
